// ChangeNode.cpp: implementation of the ChangeNode class.
//
//////////////////////////////////////////////////////////////////////

#include <stdhdrs.h>
#include <strbuf.h>
#include "changenode.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ChangeNode::ChangeNode(StrBuf input)
{
	change = input;
	value = atoi((const char*) change.Text());

	prev = NULL;
	next = NULL;
}

ChangeNode::~ChangeNode()
{
	if (next != NULL) delete next;
}
