#ifndef OBJECTINFO_H

#define OBJECTINFO_H

#ifndef CLIENTDEPOTUSER_H
	#include "clientdepotuser.h"
#endif

#ifndef ERROR_H
	#include "error.h"
	#define ERROR_H
#endif

//#include "error.h"
//#include "strbuf.h"
//#include "filesys.h"


#ifndef CLIENTLUSER_H
	#include "clientluser.h"
#endif

#ifndef OBJECTDEPOT
	#include "objectdepot.h"
#endif

#ifndef CLIENTAPI_H
	#include "clientapi.h"
	#define CLIENTAPI_H
#endif

#include "vector.h"
#include "extdll.h" 
#include "decals.h" 

#ifndef UTIL_H
	#include "util.h" 
#endif

//#include "cbase.h" 
#include "monsters.h" 
#include "weapons.h" 

#ifndef NO_NODE
	#include "nodes.h" 
#endif

#include "player.h" 

#ifndef MAX_WORLD_SOUNDS
	#include "soundent.h" 
#endif

#include "shake.h" 

#include "gamerules.h"

#define MAXRESULTS 100

	class CObjectInfo : public CBaseAnimating 
        { 
            public: 

			short int level;

            void Spawn( ); 
			void Precache( );
            void EXPORT Think();
			void EXPORT Touch( CBaseEntity* );
			void Expand( CBasePlayer* );
			void newLevel (short);
			void disown (CBaseEntity*);
			void killKids( CBaseEntity *Caller );

			ListList depots;
		}; 

LINK_ENTITY_TO_CLASS( object_info, CObjectInfo ); 

#endif
